package com.hai.order.model.combine;

import com.hai.order.model.CreateOrderModel;
import lombok.Data;

import java.util.List;

/**
 * @author sum1dream
 */
@Data
public class CreateCombine {

    /**
     * 推广码
     */
    private String promoteCode;

    /**
     * 用户优惠券关系id
     */
    private Long memDiscountId;

    /**
     * 合单订单号
     */
    private String combineOrderNo;

    /**
     * 支付积分（金币）
     */
    private Integer payGold;

    /**
     * 支付密码
     */
    private String payPwd;

    /**
     * 用户id
     */
    private Long memId;

    /**
     * 用户名称
     */
    private String memName;

    /**
     * 用户手机号
     */
    private String memPhone;

    /**
     * 产品类型
     1：星巴克
     2：肯德基
     3：会员充值
     4：积分充值
     5：购买卡券
     6：加油服务
     7：优惠券包
     8：汇联通充值
     9：话费充值
     10:电影票
     11:贵州中石化
     12:实物商品
     */
    private Integer productType;

    /**
     * @Author Sum1Dream
     * @Description // 订单内容
     * @Date 2023/8/7 15:21
     */
    private List<CreateOrderModel> createOrderModel;
}
